return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "Electronics Factory+",
	'comment', "Produces 100 Electronics",
	'template_class', "ElectronicsFactory",
	'resource_produced1', "Electronics",
	'production_per_day1', 100000,
	'pin_rollover_hint', T{777074143558, --[[ModItemBuildingTemplate Electronics Factory+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{628932061454, --[[ModItemBuildingTemplate Electronics Factory+ pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 5000,
	'construction_cost_Electronics', 15000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'dome_required', true,
	'upgrade1_id', "ElectronicsFactory_FactoryAI",
	'upgrade1_display_name', T{207566368165, --[[ModItemBuildingTemplate Electronics Factory+ upgrade1_display_name]] "Factory AI"},
	'upgrade1_description', T{267675666584, --[[ModItemBuildingTemplate Electronics Factory+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "ElectronicsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 20,
	'upgrade2_id', "ElectronicsFactory_Automation",
	'upgrade2_display_name', T{296931603461, --[[ModItemBuildingTemplate Electronics Factory+ upgrade2_display_name]] "Automation"},
	'upgrade2_description', T{586968313052, --[[ModItemBuildingTemplate Electronics Factory+ upgrade2_description]] "Decreases Workplaces by <abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "ElectronicsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -2,
	'upgrade3_id', "ElectronicsFactory_Amplify",
	'upgrade3_display_name', T{969416196581, --[[ModItemBuildingTemplate Electronics Factory+ upgrade3_display_name]] "Amplify"},
	'upgrade3_description', T{828015951370, --[[ModItemBuildingTemplate Electronics Factory+ upgrade3_description]] "+<upgrade3_mul_value_1>% Production; + Consumption."},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "ElectronicsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 25,
	'upgrade3_mod_label_2', "ElectronicsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_add_value_2', 20000,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 3000,
	'consumption_resource_type', "PreciousMetals",
	'consumption_amount', 300,
	'display_name', T{331348978850, --[[ModItemBuildingTemplate Electronics Factory+ display_name]] "Electronics Factory+"},
	'display_name_pl', T{357644739481, --[[ModItemBuildingTemplate Electronics Factory+ display_name_pl]] "Electronics Factories"},
	'description', T{470603581447, --[[ModItemBuildingTemplate Electronics Factory+ description]] "Produces 100 Electronics instead of 9."},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/electronics_factory.tga",
	'build_pos', 7,
	'entity', "ElectronicsFactory",
	'encyclopedia_image', "UI/Encyclopedia/ElectronicsFactory.tga",
	'label1', "InsideBuildings",
	'palettes', "ElectronicFactory",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(720, 1020),
	'demolish_debris', 80,
	'electricity_consumption', 8000,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'max_workers', 10,
	'specialist', "engineer",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Fuel Refinery+",
	'comment', "Produces 100 Fuel",
	'template_class', "FuelFactory",
	'resource_produced1', "Fuel",
	'max_storage1', 100000,
	'production_per_day1', 100000,
	'pin_rollover_hint', T{131892858343, --[[ModItemBuildingTemplate Fuel Refinery+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{620366771064, --[[ModItemBuildingTemplate Fuel Refinery+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Concrete', 5000,
	'construction_cost_Metals', 5000,
	'construction_cost_MachineParts', 5000,
	'build_points', 3000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "FuelFactory_Amplify",
	'upgrade1_display_name', T{994442102106, --[[ModItemBuildingTemplate Fuel Refinery+ upgrade1_display_name]] "Amplify"},
	'upgrade1_description', T{542446048674, --[[ModItemBuildingTemplate Fuel Refinery+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production; + Consumption."},
	'upgrade1_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "FuelFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 25,
	'upgrade1_mod_label_2', "FuelFactory",
	'upgrade1_mod_prop_id_2', "electricity_consumption",
	'upgrade1_add_value_2', 10000,
	'maintenance_resource_type', "MachineParts",
	'display_name', T{619261757661, --[[ModItemBuildingTemplate Fuel Refinery+ display_name]] "Fuel Refinery+"},
	'display_name_pl', T{232850906746, --[[ModItemBuildingTemplate Fuel Refinery+ display_name_pl]] "Fuel Refineries"},
	'description', T{242524498096, --[[ModItemBuildingTemplate Fuel Refinery+ description]] "Produces 100 Fuel instead of 12."},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/fuel_rafinery.tga",
	'build_pos', 9,
	'entity', "FuelRefinery",
	'encyclopedia_image', "UI/Encyclopedia/FuelRefinery.tga",
	'entity2', "FuelRefineryChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "FuelFactory",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'electricity_consumption', 5000,
	'water_consumption', 1000,
	'air_consumption', 0,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MOXIE+",
	'comment', "200 Oxygen",
	'template_class', "MOXIE",
	'pin_rollover_context', "air",
	'pin_rollover_hint', T{900502326678, --[[ModItemBuildingTemplate MOXIE+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{464682348909, --[[ModItemBuildingTemplate MOXIE+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Metals', 5000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "MOXIE_MagneticFiltering",
	'upgrade1_display_name', T{618615688338, --[[ModItemBuildingTemplate MOXIE+ upgrade1_display_name]] "Magnetic Filtering"},
	'upgrade1_description', T{303238513734, --[[ModItemBuildingTemplate MOXIE+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/magnetic_filtering_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_mod_label_1', "MOXIE",
	'upgrade1_mod_prop_id_1', "air_production",
	'upgrade1_mul_value_1', 50,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'display_name', T{520444315798, --[[ModItemBuildingTemplate MOXIE+ display_name]] "MOXIE+"},
	'display_name_pl', T{530897491475, --[[ModItemBuildingTemplate MOXIE+ display_name_pl]] "MOXIEs"},
	'description', T{418263291385, --[[ModItemBuildingTemplate MOXIE+ description]] "Produces 200 Oxygen instead of 2"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moxie.tga",
	'entity', "Moxie",
	'encyclopedia_text', T{973486139981, --[[ModItemBuildingTemplate MOXIE+ encyclopedia_text]] "MOXIE instruments, which employ MOXIE (short for Mars Oxygen In situ resource utilization Experiment) technology, produce Oxygen from the rich amounts of carbon dioxide in the Martian atmosphere.\n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\nDeveloped in the 20th century but first tested on a rover mission to Mars in the early 20s of the 21st century, that once experimental technology now forms the backbone of life support in our first Colony on an alien world.\n\nThese instruments require nothing but power and regular maintenance and, of course, a connection to the lifeline of our Colony."},
	'encyclopedia_image', "UI/Encyclopedia/MOXIE.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Moxie",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 2000,
	'air_production', 200000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Machine Parts Factory+",
	'comment', "Produces 100 Machine Parts",
	'template_class', "MachinePartsFactory",
	'resource_produced1', "MachineParts",
	'production_per_day1', 100000,
	'pin_rollover_hint', T{407224126407, --[[ModItemBuildingTemplate Machine Parts Factory+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{740032436435, --[[ModItemBuildingTemplate Machine Parts Factory+ pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 10000,
	'construction_cost_Electronics', 2000,
	'build_points', 7000,
	'require_prefab', true,
	'dome_required', true,
	'upgrade1_id', "MachinePartsFactory_FactoryAI",
	'upgrade1_display_name', T{155671107290, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade1_display_name]] "Factory AI"},
	'upgrade1_description', T{559741685574, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "MachinePartsFactory",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 20,
	'upgrade2_id', "MachinePartsFactory_Automation",
	'upgrade2_display_name', T{157695719256, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade2_display_name]] "Automation"},
	'upgrade2_description', T{105866902379, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade2_description]] "Decreases Workplaces by <abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "MachinePartsFactory",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -2,
	'upgrade3_id', "MachinePartsFactory_Amplify",
	'upgrade3_display_name', T{862971819272, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade3_display_name]] "Amplify"},
	'upgrade3_description', T{513020944460, --[[ModItemBuildingTemplate Machine Parts Factory+ upgrade3_description]] "+<upgrade3_mul_value_1>% Production; + Consumption."},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "MachinePartsFactory",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 25,
	'upgrade3_mod_label_2', "MachinePartsFactory",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_add_value_2', 20000,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 2000,
	'consumption_resource_type', "Metals",
	'display_name', T{629977484342, --[[ModItemBuildingTemplate Machine Parts Factory+ display_name]] "Machine Parts Factory+"},
	'display_name_pl', T{856251483800, --[[ModItemBuildingTemplate Machine Parts Factory+ display_name_pl]] "Machine Parts Factories"},
	'description', T{615383016129, --[[ModItemBuildingTemplate Machine Parts Factory+ description]] "Produces 100 Machine Parts instead of 12."},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/machine_parts_factory.tga",
	'build_pos', 8,
	'entity', "MachinePartsFactory",
	'encyclopedia_image', "UI/Encyclopedia/MachinePartsFactory.tga",
	'label1', "InsideBuildings",
	'palettes', "MachineParts",
	'demolish_sinking', range(15, 25),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 30000,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'specialist', "engineer",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Moisture Vaporator+",
	'comment', "100 Water",
	'template_class', "MoistureVaporator",
	'pin_rollover_context', "water",
	'pin_rollover_hint', T{222756270367, --[[ModItemBuildingTemplate Moisture Vaporator+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{838138949391, --[[ModItemBuildingTemplate Moisture Vaporator+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Metals', 2000,
	'construction_cost_Polymers', 5000,
	'build_points', 3000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "MoistureVaporator_HygroscopicCoating",
	'upgrade1_display_name', T{810188761393, --[[ModItemBuildingTemplate Moisture Vaporator+ upgrade1_display_name]] "Hygroscopic Coating"},
	'upgrade1_description', T{929906433182, --[[ModItemBuildingTemplate Moisture Vaporator+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/hygroscopic_coating_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "MoistureVaporator",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 50,
	'upgrade2_id', "VectorPump",
	'upgrade2_display_name', T{948462029971, --[[ModItemBuildingTemplate Moisture Vaporator+ upgrade2_display_name]] "Vector Pump"},
	'upgrade2_description', T{917738635579, --[[ModItemBuildingTemplate Moisture Vaporator+ upgrade2_description]] "+<upgrade2_mul_value_1>% Production."},
	'upgrade2_icon', "UI/Icons/Upgrades/vector_pump_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_mod_label_1', "MoistureVaporator",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 100,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'display_name', T{653349570378, --[[ModItemBuildingTemplate Moisture Vaporator+ display_name]] "Moisture Vaporator+"},
	'display_name_pl', T{845373145748, --[[ModItemBuildingTemplate Moisture Vaporator+ display_name_pl]] "Moisture Vaporators"},
	'description', T{920126717080, --[[ModItemBuildingTemplate Moisture Vaporator+ description]] "Produce 100 Water"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moisture_vaporator.tga",
	'build_pos', 4,
	'entity', "MoistureVaporator",
	'show_range_all', true,
	'encyclopedia_text', T{750695192682, --[[ModItemBuildingTemplate Moisture Vaporator+ encyclopedia_text]] "Moisture Vaporators provide a limitless, albeit slower and energy consuming, supply of water once water deposits are no longer a viable option. \n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\nMoisture Vaporators are based on WAVAR tech (Water-Vapor Adsorption Reactor), a process that extracts water directly from the Martian atmosphere by alternately blowing air over a zeolite adsorption bed and heating the bed to extract the absorbed water. While the water output is less than that of the Water Extractor, there is no end to the amount of water it can generate, and its mechanical simplicity means Water Vaporators can be deployed anywhere on the Martian surface."},
	'encyclopedia_image', "UI/Encyclopedia/MoistureVaporator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoistureVaporator",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'water_production', 100000,
	'penalty_pct', 0,
	'electricity_consumption', 5000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "OxygenTank+",
	'comment', "Stores 10K Oxygen",
	'template_class', "OxygenTank",
	'pin_rollover_context', "air",
	'pin_rollover_hint', T{830758412688, --[[ModItemBuildingTemplate OxygenTank+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{671980432002, --[[ModItemBuildingTemplate OxygenTank+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{655964237207, --[[ModItemBuildingTemplate OxygenTank+ display_name]] "Oxygen Tank+"},
	'display_name_pl', T{261565486340, --[[ModItemBuildingTemplate OxygenTank+ display_name_pl]] "Oxygen Tanks"},
	'description', T{164234629541, --[[ModItemBuildingTemplate OxygenTank+ description]] "Stores 10K more Oxygen"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/oxygen_tank.tga",
	'build_pos', 2,
	'entity', "AirTank",
	'encyclopedia_image', "UI/Encyclopedia/OxygenTank.tga",
	'entity2', "AirTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(18, 248, 27, 255),
	'palettes', "OxugenTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'max_air_charge', 10000,
	'max_air_discharge', 10000,
	'air_capacity', 10000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Polymer Plant+",
	'comment', "Produces 100 Polymers",
	'template_class', "PolymerPlant",
	'resource_produced1', "Polymers",
	'production_per_day1', 100000,
	'pin_rollover_hint', T{481655629432, --[[ModItemBuildingTemplate Polymer Plant+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{456050577594, --[[ModItemBuildingTemplate Polymer Plant+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 5000,
	'construction_cost_MachineParts', 5000,
	'build_points', 7000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "PolymerPlant_FactoryAI",
	'upgrade1_display_name', T{437279892408, --[[ModItemBuildingTemplate Polymer Plant+ upgrade1_display_name]] "Factory AI"},
	'upgrade1_description', T{177762361260, --[[ModItemBuildingTemplate Polymer Plant+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/factory_ai_01.tga",
	'upgrade1_upgrade_cost_Electronics', 5000,
	'upgrade1_upgrade_cost_MachineParts', 2000,
	'upgrade1_mod_label_1', "PolymerPlant",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 20,
	'upgrade2_id', "PolymerPlant_Automation",
	'upgrade2_display_name', T{238608512329, --[[ModItemBuildingTemplate Polymer Plant+ upgrade2_display_name]] "Automation"},
	'upgrade2_description', T{666525786666, --[[ModItemBuildingTemplate Polymer Plant+ upgrade2_description]] "Decreases Workplaces by <abs(upgrade2_add_value_1)>."},
	'upgrade2_icon', "UI/Icons/Upgrades/automation_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_upgrade_cost_Electronics', 5000,
	'upgrade2_mod_label_1', "PolymerPlant",
	'upgrade2_mod_prop_id_1', "max_workers",
	'upgrade2_add_value_1', -2,
	'upgrade3_id', "PolymerPlant_Amplify",
	'upgrade3_display_name', T{868855408570, --[[ModItemBuildingTemplate Polymer Plant+ upgrade3_display_name]] "Amplify"},
	'upgrade3_description', T{706290679963, --[[ModItemBuildingTemplate Polymer Plant+ upgrade3_description]] "+<upgrade3_mul_value_1>% Production; + Consumption."},
	'upgrade3_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade3_upgrade_cost_Polymers', 5000,
	'upgrade3_mod_label_1', "PolymerPlant",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 25,
	'upgrade3_mod_label_2', "PolymerPlant",
	'upgrade3_mod_prop_id_2', "electricity_consumption",
	'upgrade3_add_value_2', 20000,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 2000,
	'consumption_resource_type', "Fuel",
	'consumption_resource_stockpile_spot_name', "",
	'display_name', T{839093667716, --[[ModItemBuildingTemplate Polymer Plant+ display_name]] "Polymer Factory+"},
	'display_name_pl', T{370981670163, --[[ModItemBuildingTemplate Polymer Plant+ display_name_pl]] "Polymer Factories"},
	'description', T{384564926772, --[[ModItemBuildingTemplate Polymer Plant+ description]] "Produces 100 Polymers instead of 0.9."},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/polymer_plant.tga",
	'build_pos', 6,
	'entity', "PolymerPlant",
	'encyclopedia_image', "UI/Encyclopedia/PolymerFactory.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "PolumerPlant",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'electricity_consumption', 2000,
	'enabled_shift_2', false,
	'enabled_shift_3', false,
	'max_workers', 6,
	'specialist', "engineer",
	'water_consumption', 1000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Water Tower+",
	'comment', "Stores 10K Water",
	'template_class', "WaterTank",
	'pin_rollover_context', "water",
	'pin_rollover_hint', T{428807458918, --[[ModItemBuildingTemplate Water Tower+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{491378722601, --[[ModItemBuildingTemplate Water Tower+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'maintenance_resource_type', "Metals",
	'display_name', T{796161209203, --[[ModItemBuildingTemplate Water Tower+ display_name]] "Water Tower+"},
	'display_name_pl', T{781550517177, --[[ModItemBuildingTemplate Water Tower+ display_name_pl]] "Water Towers"},
	'description', T{470739658757, --[[ModItemBuildingTemplate Water Tower+ description]] "Stores 10K of Water."},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_tank.tga",
	'build_pos', 5,
	'entity', "WaterTank",
	'encyclopedia_image', "UI/Encyclopedia/WaterTank.tga",
	'entity2', "WaterTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(60, 300),
	'demolish_debris', 76,
	'max_water_charge', 10000,
	'max_water_discharge', 10000,
	'water_capacity', 10000000,
	'penalty_pct', 0,
	'freeze_time', 1000,
	'defrost_time', 1000,
}),
}
